EDIT - bug #8828

statistical values must not show empty brackets
01/24/2020 11:23 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.13

Severity: critical Found in Version:

Description

bei den Héhenangaben gab es nun jahrelang bei den Arten, wo Max. und Min. gleich sind, den Standard, dass dann nicht die
Spanne, sondern der Wert nur einfach angezeigt wird, bei Strandarten also in der Regel 0 m. Nun steht da auf einmal O[Jm. Beispiel:
Euphorbia prostrata. Wahrscheinlich betrifft es alle gleichzahligen Falle.

This is a regression caused by the work on #8786

TODO:

1. fix bug
2. create test case

Related issues:
Related to EDIT - task #8786: Display of mean value with min max Resolved

Associated revisions

Revision 7f36e33a - 01/28/2020 11:42 AM - Andreas Kohlbecker

fix #8828 removing empty brackets from statistical values in QuantitativeData and cleaning up

History

#1 - 01/24/2020 11:24 AM - Andreas Kohlbecker

- Related to task #8786: Display of mean value with min max added
#2 - 01/24/2020 01:23 PM - Andreas Kohlbecker
Hallo,

ggf auch auf das Leerzeichen vor der Einheit (und ggf. der Klammer) achten. Ich habe nicht Gberpriift, ob das bei Ralf nur versehentlich fehlte bei
Lo[Im*.

Viele Grif3e,
Andreas M.
#3 - 01/24/2020 01:23 PM - Andreas Kohlbecker
Andreas Kohlbecker wrote:
Hallo,

ggf auch auf das Leerzeichen vor der Einheit (und ggf. der Klammer) achten. Ich habe nicht Gberprift, ob das bei Ralf nur versehentlich fehlte
bei ,0[Jm*.

Viele Grif3e,

Vor der Klammer sind bisher keine Leerzeichen vorgesehen gewesen (siehe Ticket https://dev.e-taxonomy.eu/redmine/issues/8786 ).

Ich habe mich hier an dem Vorschlag orientiert den Norbert per Email geschickt hatte.
Die Einheit sollte jedenfalls mit einem Leerzeichen vom Wert getrennt werden, so wie es der Standard vorgibt.

Viele Grif3e,
Andreas

Andreas M.

#4 - 01/28/2020 11:42 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|7f36e33afadale19bcf605586e9adedc64a2c264.

#5 - 01/28/2020 11:43 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

#6 - 03/06/2020 03:46 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miller to Andreas Kohlbecker

seems to be fully fixed, but there is a related open issue at #8830#note-5

#7 - 10/11/2021 11:19 AM - Andreas Miiller

- Description updated
